For Developers

List Companies

GET https://ed.link/api/v2/companies

Retrieve a list of public Companies.

You must provide an application's publishable key (pk_...) as a bearer token to access this endpoint.

Request Parameters

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

This query allows for filtering results.

This query also allows for fuzzy searching.

ParameterTypeDescription
$searchstringA search term used to fuzzy-match companies by name and by address city, state, or postal code. Results are ordered by name similarity. Cannot be combined with cursor pagination ($after or $before).
$offsetintegerOffset for paginating $search results. Defaults to 0. Ignored without $search.
$expandstringA comma-separated list of expandable properties to include on each result.

Expandable Properties

Use $expand to include related data on each result.

PropertyDescription
addressesThe company's addresses.
childrenChildren of the company.

When browsing with $search use $offset to page through results instead of $after or $before.

Sample Request

// List companies.
axios.get('https://ed.link/api/v2/companies', {
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

// Search for companies matching "Acme".
axios.get('https://ed.link/api/v2/companies', {
    params: {
        $search: 'Acme',
        $first: 25
    },
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

// List companies with expanded properties.
axios.get('https://ed.link/api/v2/companies', {
    params: {
        $expand: 'addresses'
    },
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

Sample Response

{
    "$data": [
        {
            "_entity_version_id_": "8bc8ea76-dcaa-4df8-bb7c-a9361f5bb8c3",
            "id": "003578c0-38cf-46fb-952f-8548d8bbfbdc",
            "name": "UniqLearn",
            "description": "UniqLearn provides an AI-driven personalized learning platform for K-12 students, creating practice and homework tailored to their individual interests and needs.",
            "website": "https://uniqlearn.co",
            "logo": null,
            "addresses": [
                {
                    "_entity_version_id_": "08e991c4-e138-4768-beee-a3e407bf1ab9",
                    "id": "223fda09-ce0e-44a0-a0e7-ed00044f2c58",
                    "company_id": "003578c0-38cf-46fb-952f-8548d8bbfbdc",
                    "company": "8bc8ea76-dcaa-4df8-bb7c-a9361f5bb8c3",
                    "type": "headquarters",
                    "street": "8001 Irvine Center Dr",
                    "unit": "Suite 400",
                    "postal_code": "92618",
                    "city": "Irvine",
                    "state": "California",
                    "country": "United States",
                    "latitude": null,
                    "longitude": null
                }
            ]
        },
        {
            "_entity_version_id_": "fa7fdd24-1623-4dc4-8843-f7764b725051",
            "id": "742373a2-1b41-4b58-bba5-79b26051c33d",
            "name": "SchoolJoy",
            "description": "SchoolJoy is an AI-powered coaching platform that provides interactive simulations to help students build real-world skills, career readiness, college prep, and essential life skills.",
            "website": "https://schooljoy.com",
            "logo": null,
            "addresses": [
                {
                    "_entity_version_id_": "39418596-8874-4800-bb8f-7a14fcb31d74",
                    "id": "24fd33f9-31d6-42f3-9efb-59afd4582bbd",
                    "company_id": "742373a2-1b41-4b58-bba5-79b26051c33d",
                    "company": "fa7fdd24-1623-4dc4-8843-f7764b725051",
                    "type": "headquarters",
                    "street": null,
                    "unit": null,
                    "postal_code": null,
                    "city": "San Francisco",
                    "state": "California",
                    "country": "United States",
                    "latitude": null,
                    "longitude": null
                }
            ]
        }
    ],
    "$next": "https://ed.link/api/v2/companies?$after=...&$first=...",
    "$request": "00000000-0000-0000-0000-000000000000"
}